Subject: bug#59601: closed (Re: bug#59601: 29.0.50; csharp-mode variables missing prefix)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Sep 2023 21:31:02 +0000

Your bug report

#59601: 29.0.50; csharp-mode variables missing prefix

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59601: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59601
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59601: 29.0.50; csharp-mode variables missing prefix
From: Stefan Kangas <[email-masked]>
To: Alan Mackenzie <[email-masked]>
Cc: Jostein Kjønigsen <[email-masked]>, [email-masked], Theodor Thornhill <[email-masked]>
Date: Sun, 10 Sep 2023 14:30:26 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Alan Mackenzie <[email-masked]> writes:

> The codedoc variables should _not_ have a csharp- prefix.  Conceptually,
> codedoc is not part of csharp-mode, and could start being used by any CC
> Mode mode, just as gtkdoc is used by both C and C++ modes.
>
> Also, "codedoc" (like "gtkdoc", etc.) is prefixed to
> "-font-lock-doc-comments" and the result interned to get the function to
> fontify the doc comments.  Thus codedoc-font-lock-doc-comments _will_ be
> getting used.
>
> So, yes, the naming convention is essential to the working of CC Mode's
> doc comments.
>
> Whether it would be the Right Thing to add codedoc to CC Mode itself,
> I'm not sure.  doxygen was added quite recently, but that is genuinely a
> language independent format.  I'm a little worried about getting some
> coupling between, say, csharp-mode and CC Mode where there wasn't any
> before.

Thank you, that clears things up.  I agree that we should not do any
changes here, and we certainly want to avoid any coupling if we don't
need it.  Thank you for taking the time to explain.

I opened this bug, so I hope that it will be fine if I close it.
I'm therefore doing that with this email.

Subject: 29.0.50; csharp-mode variables missing prefix
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Sat, 26 Nov 2022 00:03:45 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: wishlist

Should these variables have the prefix `csharp-'?

    `codedoc-font-lock-doc-comments'
    `codedoc-font-lock-keywords'

I also see that `codedoc-font-lock-keywords' seems to be unused?